## org.eclipse.emf.cdo.defs
Interface CDOResourceDef

All Superinterfaces:
  org.eclipse.net4j.util.defs.Def, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  CDOResourceDefImpl

    public interface CDOResourceDef

extends org.eclipse.net4j.util.defs.Def

A representation of the model object 'CDO Resource Def'.

The following features are supported:

- `Cdo Transaction`
- `Resource Mode`
- `Path`

See Also:
  `CDODefsPackage.getCDOResourceDef()`

Method Summary
`CDOTransactionDef` `getCdoTransaction()` Returns the value of the 'Cdo Transaction' reference.
`java.lang.String` `getPath()` Returns the value of the 'Path' attribute.
`ResourceMode` `getResourceMode()` Returns the value of the 'Resource Mode' attribute.
`void` `setCdoTransaction(CDOTransactionDef value)` Sets the value of the '`Cdo Transaction`' reference.
`void` `setPath(java.lang.String value)` Sets the value of the '`Path`' attribute.
`void` `setResourceMode(ResourceMode value)` Sets the value of the '`Resource Mode`' attribute.

Methods inherited from interface org.eclipse.net4j.util.defs.Def
`getInstance, isTouched, unsetInstance`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCdoTransaction

    CDOTransactionDef getCdoTransaction()

  Returns the value of the 'Cdo Transaction' reference.

  If the meaning of the 'Cdo Transaction' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cdo Transaction' reference.
  See Also:
    `setCdoTransaction(CDOTransactionDef)`, `CDODefsPackage.getCDOResourceDef_CdoTransaction()`

### setCdoTransaction

    void setCdoTransaction(CDOTransactionDef value)

  Sets the value of the '`Cdo Transaction`' reference.

  Parameters:
    `value` - the new value of the 'Cdo Transaction' reference.
  See Also:
    `getCdoTransaction()`

### getResourceMode

    ResourceMode getResourceMode()

  Returns the value of the 'Resource Mode' attribute. The default value is `"null"`. The literals are from the enumeration `ResourceMode`.

  If the meaning of the 'Resource Mode' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Resource Mode' attribute.
  See Also:
    `ResourceMode`, `setResourceMode(ResourceMode)`, `CDODefsPackage.getCDOResourceDef_ResourceMode()`

### setResourceMode

    void setResourceMode(ResourceMode value)

  Sets the value of the '`Resource Mode`' attribute.

  Parameters:
    `value` - the new value of the 'Resource Mode' attribute.
  See Also:
    `ResourceMode`, `getResourceMode()`

### getPath

    java.lang.String getPath()

  Returns the value of the 'Path' attribute.

  If the meaning of the 'Path' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Path' attribute.
  See Also:
    `setPath(String)`, `CDODefsPackage.getCDOResourceDef_Path()`

### setPath

    void setPath(java.lang.String value)

  Sets the value of the '`Path`' attribute.

  Parameters:
    `value` - the new value of the 'Path' attribute.
  See Also:
    `getPath()`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.